
From: Luben Tuikov <luben_tuikov@adaptec.com>

The following is a patchset of the SAS code as posted today but it has the
suggestions by Nish and Alexey,

Signed-off-by: Luben Tuikov <luben_tuikov@adaptec.com>
Cc: James Bottomley <James.Bottomley@steeleye.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/scsi/Kconfig  |   12 ++++++++++++
 drivers/scsi/Makefile |    2 ++
 2 files changed, 14 insertions(+)

diff -puN drivers/scsi/Kconfig~scsi-sas-makefile-and-kconfig drivers/scsi/Kconfig
--- devel/drivers/scsi/Kconfig~scsi-sas-makefile-and-kconfig	2005-09-09 19:52:54.000000000 -0700
+++ devel-akpm/drivers/scsi/Kconfig	2005-09-09 19:52:54.000000000 -0700
@@ -244,6 +244,16 @@ config SCSI_SAS_ATTRS
 
 endmenu
 
+
+menu "SCSI Transport Layers"
+
+depends on SCSI
+
+source "drivers/scsi/sas-class/Kconfig"
+
+endmenu
+
+
 menu "SCSI low-level drivers"
 	depends on SCSI!=n
 
@@ -338,6 +348,8 @@ config SCSI_7000FASST
 	  To compile this driver as a module, choose M here: the
 	  module will be called wd7000.
 
+source "drivers/scsi/aic94xx/Kconfig"
+
 config SCSI_ACARD
 	tristate "ACARD SCSI support"
 	depends on PCI && SCSI
diff -puN drivers/scsi/Makefile~scsi-sas-makefile-and-kconfig drivers/scsi/Makefile
--- devel/drivers/scsi/Makefile~scsi-sas-makefile-and-kconfig	2005-09-09 19:52:54.000000000 -0700
+++ devel-akpm/drivers/scsi/Makefile	2005-09-09 19:53:17.000000000 -0700
@@ -31,6 +31,7 @@ obj-$(CONFIG_RAID_ATTRS)	+= raid_class.o
 obj-$(CONFIG_SCSI_SPI_ATTRS)	+= scsi_transport_spi.o
 obj-$(CONFIG_SCSI_FC_ATTRS) 	+= scsi_transport_fc.o
 obj-$(CONFIG_SCSI_ISCSI_ATTRS)	+= scsi_transport_iscsi.o
+obj-$(CONFIG_SAS_CLASS)		+= sas-class/
 obj-$(CONFIG_SCSI_SAS_ATTRS)	+= scsi_transport_sas.o
 
 obj-$(CONFIG_ISCSI_TCP) 	+= iscsi_tcp.o
@@ -65,6 +66,7 @@ obj-$(CONFIG_SCSI_AHA1740)	+= aha1740.o
 obj-$(CONFIG_SCSI_AIC7XXX)	+= aic7xxx/
 obj-$(CONFIG_SCSI_AIC79XX)	+= aic7xxx/
 obj-$(CONFIG_SCSI_AACRAID)	+= aacraid/
+obj-$(CONFIG_SCSI_AIC94XX)	+= aic94xx/
 obj-$(CONFIG_SCSI_AIC7XXX_OLD)	+= aic7xxx_old.o
 obj-$(CONFIG_SCSI_ARCMSR)	+= arcmsr/
 obj-$(CONFIG_SCSI_IPS)		+= ips.o
_
